CGAL 5.6.3 - Surface Mesh Topology

Loading...
Searching...
No Matches
Functions
Draw a Mesh with Paths
Surface Mesh Topology Reference

##

#include <CGAL/draw_face_graph_with_paths.h>

## Functions
template<class Mesh >
void | CGAL::draw (const Mesh &amesh, const std::vector< Path_on_surface< Mesh > > &apaths)
| opens a new window and draws `amesh`, either a 2D linear cell complex or a model of the FaceGraph concept, plus the paths lying on this mesh given in `apaths`.
template<class Mesh >
void | CGAL::draw (const Mesh &amesh, std::initializer_list< Path_on_surface< Mesh > > &apaths)
| opens a new window and draws `amesh`, either a 2D linear cell complex or a model of the FaceGraph concept, plus the paths lying on this mesh given in `apaths`.

## Function Documentation

## ◆ draw() [1/2]

template<class Mesh >

void CGAL::draw | ( | const Mesh & | amesh,
|  | const std::vector< Path_on_surface< Mesh > > & | apaths
| ) |  |

`#include <CGAL/draw_face_graph_with_paths.h>`

opens a new window and draws `amesh`, either a 2D linear cell complex or a model of the FaceGraph concept, plus the paths lying on this mesh given in `apaths`.

A call to this function is blocking, that is the program continues as soon as the user closes the window. This function requires `CGAL_Qt5`, and is only available if the flag `CGAL_USE_BASIC_VIEWER` is defined at compile time.

Template Parameters

  Mesh | either a 2D linear cell complex or a model of the FaceGraph concept.

Parameters

  amesh | the mesh to draw.
  apaths | the paths to draw, which should lie on `amesh`.

## ◆ draw() [2/2]

template<class Mesh >

void CGAL::draw | ( | const Mesh & | amesh,
|  | std::initializer_list< Path_on_surface< Mesh > > & | apaths
| ) |  |

`#include <CGAL/draw_face_graph_with_paths.h>`

opens a new window and draws `amesh`, either a 2D linear cell complex or a model of the FaceGraph concept, plus the paths lying on this mesh given in `apaths`.

A call to this function is blocking, that is the program continues as soon as the user closes the window. This function requires `CGAL_Qt5`, and is only available if the flag `CGAL_USE_BASIC_VIEWER` is defined at compile time.

Template Parameters

  Mesh | either a 2D linear cell complex or a model of the FaceGraph concept.

Parameters

  amesh | the mesh to draw.
  apaths | the paths to draw, which should lie on `amesh`.